{-------------------------------------------------------------------------------

A wrapper for the DFS algorithm so it can turn an input graph read from file
into a BFS tree.  The input graph is read from file, which must have the
following structure:

- One line storing the word "Directed" or "Undirected" and two integers, one the
  number n of vertices, the other the number m of edges.

- n lines, one per vertex, storing the ID and label of each vertex separated by
  spaces.

- m lines, one per edge, storing the ID of the tail, the ID of the head, and the
  label separated by spaces.

This code makes no effort to check that the input is actually valid.  For
example, if fewer than m edge lines are created, the code will simply raise an
exception and terminate abnormally.

The output tree is represented in Newick format.  In this format, a forest is a
sequence of trees terminated by a semicolon.  A tree is represented as
- an opening parenthesis,
- the ID of the root,
- a colon,
- for each subtree, the label of the parent edge followed by the Newick string
  for this subtree, and
- a closing parenthesis.

-------------------------------------------------------------------------------}

module Main ( main
            ) where

import Algos.Graphs.DFS (dfs)
import Algos.Graphs.DFSBFSMain (commonMain)

main :: IO ()
main =  commonMain dfs
